---
search:
  tags:
    - Webhooks
    - POST
seo:
  description: >-
    Send a test delivery. Reference for the POST /api/v1/webhooks/{id}/test
    endpoint in the torqee Connect API.
sidebar:
  label: Send a test delivery
  badge: POST
title: Send a test delivery
type: openapi-operation
---
`POST /api/v1/webhooks/{id}/test`

**Responses**

- `202` — Test delivery queued
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Webhook endpoint or workspace not found
- `500` — Unexpected server error
- `503` — Delivery service unavailable

Response example, 202:

```json
{
  "id": "string",
  "eventId": "string",
  "eventType": "session.created",
  "endpointId": "string",
  "endpointName": "string",
  "endpointUrl": "http://example.com",
  "kind": "event",
  "status": "pending",
  "attemptCount": 0,
  "lastHttpStatus": 100,
  "nextAttemptAt": "2019-08-24T14:15:22Z",
  "terminalAt": "2019-08-24T14:15:22Z",
  "stopReason": "installation_unauthorized",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
